class CharacterObject{
    constructor(engine, data){
        return new Promise(async(resolve, reject)=>{
            this.source = await engine.load(data.$go.asset.name);
            this.object = engine.meshUtils.bottomOrigin(this.source.scene);
            resolve(this);
        })
    }
}

export { CharacterObject }